Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.arcinfo_raster
Class ArcInfoTextRasterWriter

    java.lang.Object
      org.deegree.io.arcinfo_raster.ArcInfoTextRasterWriter

    public class ArcInfoTextRasterWriter

extends Object

writes a raster in ArcInfo text format:

      ncols         1600
      nrows         1600
      xllcorner     3540000
      yllcorner     5730000
      cellsize      25
      NODATA_value  -9999
      120.4 132.5 99.9 ... 98.32
      122.5 111.6 110.9 ... 88.77
      ...
      234.23 233.4 265.9 ... 334.7

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`ArcInfoTextRasterWriter(String outFile, float[][] data, WorldFile wf)` it will be assumed that -9999 indicates noData values
`ArcInfoTextRasterWriter(String outFile, float[][] data, WorldFile wf, double noData)`

Method Summary
`void` | `write()` writes data to file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArcInfoTextRasterWriter

    public ArcInfoTextRasterWriter(String outFile,
                                   float[][] data,
                                   WorldFile wf)

  it will be assumed that -9999 indicates noData values

  Parameters:
    `outFile` - name of the output file
    `data` - data to write
    `wf` - metadata describing spatial location and resolution

### ArcInfoTextRasterWriter

    public ArcInfoTextRasterWriter(String outFile,
                                   float[][] data,
                                   WorldFile wf,
                                   double noData)

Parameters:
  `outFile` - name of the output file
  `data` - data to write
  `wf` - metadata describing spatial location and resolution
  `noData` - value used for marking noData values

Method Detail

### write

    public void write()
               throws IOException

  writes data to file

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org